import os

import numpy as np
from obspy.geodetics import gps2dist_azimuth

from fmtomo_tools.fmtomo_teleseismic_utils import organize_sources

fmtomodir = '/data/AdriaArray_Data/fmtomo_adriaarray/alpadege/no_crust_correction'
clon = 17.5
clat = 42.25


os.chdir(fmtomodir)

sources = organize_sources('sources.in')

dists = []
lats = []
lons = []

for source_id, source_dict in sources.items():
    slat = source_dict['lat']
    slon = source_dict['lon']
    lats.append(slat)
    lons.append(slon)
    dist_m = gps2dist_azimuth(slat, slon, clat, clon, a=6.371e6, f=0)[0]
    dist = dist_m / (np.pi * 6371) * 180 / 1e3
    dists.append(dist)